Get a product
GET https://{handle}.myshopline.com/admin/openapi/v20260901/products/:product_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get the information of the specified product.
Path Parameters
- product_id string requiredThe unique identifier for the product.
Maximum length: 64Example:16049619743346320200470282
Query Parameters
- fields stringSpecify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the
productobject in the response.Example:title,id
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
productobject
Product information.body_html stringThe product description.created_at stringThe date and time when the product was created. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00featured_mediaobject
The cover media of the product.alt stringThe alternative textual description of the product media, usually a word or phrase with the characteristics or content of the media.Example:This is a media alt.content_type stringThe type of the media. Valid values are:IMAGE:Represents a SHOPLINE image.VIDEO:Represents a SHOPLINE video.EXTERNAL_VIDEO:Represents an external video.
id stringThe unique identifier for the product media.Example:5759070976424132652preview_image stringThe URL of the product media cover image.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngsrc stringThe link to the media.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pnghandle stringThe semantically unique identifier for the product, which is generated based ontitleby default.Example:product-handleid stringThe unique identifier for the product.Example:16057850264845250791280282imageobject
The cover image of the product.DEPRECATED:This parameter is deprecated from API version v20260301.alt stringThe alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.id stringThe unique identifier for the image.Example:5785060242207917075src stringThe link to the image.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngimagesobject[]
A list of product images.DEPRECATED:This parameter is deprecated from API version v20260301.alt stringThe alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.id stringThe unique identifier for the product image.Example:5785060242207917075src stringThe link to the product image.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngmediaobject[]
A list of product media.alt stringThe alternative textual description of the product media, usually a word or phrase with the characteristics or content of the media.Example:This is a media alt.content_type stringThe type of the media. Valid values are:IMAGE:Represents a SHOPLINE image.VIDEO:Represents a SHOPLINE video.EXTERNAL_VIDEO:Represents an external video.
id stringThe unique identifier for the product media.Example:5759070976424132652preview_image stringThe URL of the product media cover image.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngsrc stringThe link to the media.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngoptionsobject[]
A list of product options.id stringThe unique identifier for the option.Example:16158068291703878544960282name stringThe name of the option.Example:Coloroption_valuesobject[]
A list of product option values.id stringThe unique identifier for the option value.Example:16050375155238626683133099value stringThe option value.Example:redproduct_id stringThe unique identifier for the product corresponding to the option.Example:16057850264845250791280282values arrayA list of option values.Example:["red,green,white"]values_colors mapThe mapping relationship between option values and hexadecimal color codes.Example:{"blue":"#87CEEB","red":"#D22222"}values_images mapThe mapping relationship between the option values and the corresponding image URLs.Example:{"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}path stringThe relative path of the product page.Example:/products/clothesproduct_behavior stringUsed to identify the special behavior of the product. This field returns a value only under certain conditions.For example, if the product has potential risks, the field returns a value.Example:RISK,HIDDENproduct_category stringThe product category customized by the merchant.Example:Electronicproduct_type stringThe source of the product. Valid values are:NORMAL: products maintained in the SHOPLINE AdminPOD_TEMPORARY: temporary products on the Product Option Customizer&ProductBundler appTEMPORARY: other temporary products
published_at stringThe date and time when the product was published to the online store. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00published_scope stringThe published scope of product sales channels. The value of this field is fixed toweb, indicating an online store.spu stringThe identifier customized for the product by the merchant. It is distinct fromproduct.idreturned by SHOPLINE.Example:S00000001status stringThe status of the product. Valid values are:active: product publisheddraft: product unpublishedarchived: product archived
subtitle stringThe subtitle of the product.Example:This is a subtitletags stringA list of tags of the product.Example:tag1, tag2template_path stringThe theme template of the product.Example:templates/product.product_template_name.jsontitle stringThe title of the product.Example:This is a Product titleupdated_at stringThe date and time when the product was last updated. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00variantsobject[]
A list of product variants.barcode stringThe barcode of the variant.Example:T00000001compare_at_price stringThe original price of the variant. The value is rounded to two decimal places.Example:129.99id stringThe unique identifier for the variant.Example:18057039439794751459380282imageobject
The image of the variant.alt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.id stringThe unique identifier for the variant image.Example:5785060242207917075src stringThe link to the variant image.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pnginventory_item_id stringThe unique identifier for the inventory item.Example:59854602422372317075inventory_policy stringIndicates whether the variant is allowed to be oversold.deny: Overselling is not allowed.continue: Overselling is allowed.
inventory_quantity integerThe total inventory quantity at all storage locations.Example:99inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
option1 stringInformation of the first option of the variant.Example:redoption2 stringInformation of the second option of the variant.Example:xloption3 stringInformation of the third option of the variant.Example:cottonoption4 stringInformation of the fourth option of the variant.Example:shortoption5 stringInformation of the fifth option of the variant.Example:casualprice stringThe selling price of the variant. The value is rounded to two decimal places.Example:90.22product_id stringThe unique identifier for the product corresponding to the variant.Example:16057039432335097907370282require_shipping booleanIndicates whether the variant requires shipping.true: Shipping is required.false: Shipping is not required.
sku stringThe product SKU. It is distinct fromvariant.idreturned by SHOPLINE.Example:S00000001taxable booleanIndicates whether the variant is subject to tax.true: Tax is required.false: Tax is not required.
title stringThe title of the variant, assembled from the option values of the variant.Example:red · xlweight stringThe weight of the variant. The value is rounded up to two decimal places.Example:0.23weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
vendor stringThe brand or vendor of the product.Example:SHOPLINE
API Explorer
Debugger
Examples
Was this article helpful to you?